/*                                                                         */ 
/* ----------------------------------------------------------------------- */ 
/* -               Astronomical CCD Camera Control                       - */ 
/* -                         Header File                                 - */ 
/* ----------------------------------------------------------------------- */ 
/*                                                                         */ 
/* Copyright (c) 2010 John Kielkopf                                        */ 
/* kielkopf@louisville.edu                                                 */ 
/*                                                                         */ 
/* This file is part of XmCCD.                                             */ 
/*                                                                         */ 
/*                                                                         */ 
/* XmCCD is free software: you can redistribute it and/or modify           */ 
/* it under the terms of the GNU General Public License as published by    */ 
/* the Free Software Foundation, either version 3 of the License, or       */ 
/* (at your option) any later version.                                     */ 
/*                                                                         */ 
/* XmCCD is distributed in the hope that it will be useful,                */ 
/* but WITHOUT ANY WARRANTY; without even the implied warranty of          */ 
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           */ 
/* GNU General Public License for more details.                            */ 
/*                                                                         */ 
/*                                                                         */ 
/* Date: March 31, 2010                                                    */ 
/* Version: 3.0.9                                                          */ 
/*                                                                         */ 
                                                                         
/* XmCCD user inteface parameters are defined here */
/* The camera header defines hardware parameters */

/* Configuration file */

#define CONFIGFILE "/usr/local/observatory/prefs/prefs.ccd"
#define MAXPATHLEN  100


/* Map sky to +x=1, -x=2, +y=4, -y=8 relays */

#define EAST      1 
#define WEST      2
#define NORTH     4
#define SOUTH     8 

/* Expected detector properties */
  
#define IMAGEXMAX  3072
#define IMAGEYMAX  2048
#define TRACKXMAX  657
#define TRACKYMAX  495

#define ARCSEC_PER_PIXEL  0.5372967
 
/* Diagnostic flag */
/* Set to 0 to disable, higher values to turn on more reporting */

#define DIAGNOSTICS     0            

/* Menubar identifiers */

#define OK                1
#define CANCEL            2

#define FILENAME          3
#define FILETARGET        4
#define FILETELESCOPE     5
#define FILEEXIT          6

#define SETIMAGEEXP       7  
#define SETTRACKEXP       8 
#define SETFRAMEMULTIMAX  9 
#define SETIMAGESUBAREA   10  
#define SETTRACKSUBAREA   11  
#define SETTEMPERATURE    12


#define MODESINGLE        13
#define MODEFOCUS         14
#define MODEMULTI         15

#define DETECTORIMAGE     16
#define DETECTORTRACK     17
#define TYPELIGHT         18
#define TYPEDARK          19

#define GUIDEUNGUIDED     20
#define GUIDETRACKING     21
#define GUIDEOPTICAL      22
#define GUIDESELFTRACKING 23
#define GUIDESELFOPTICAL  24

/* Filter radio toggle flags */

#define FILTER1   101
#define FILTER2   102
#define FILTER3   103
#define FILTER4   104
#define FILTER5   105
#define FILTER6   106
#define FILTER7   107
#define FILTER8   108
#define FILTER9   109
#define FILTER10  110


/* Cooling dialog flags */

#define COOL_ON   1
#define COOL_OFF  0

/* Image subarea dialog flags */

#define IMAGE_SUBAREA_ON   1
#define IMAGE_SUBAREA_OFF  0

/* Track subarea dialog flags */

#define TRACK_SUBAREA_ON   1
#define TRACK_SUBAREA_OFF  0

/* Acquisition modes */

#define FRAMECOUNTMULTI  100    /* Maximum number of frames in multi mode */

#define SINGLE       0     /* One exposure only */ 
#define FOCUS        1     /* Focus exposures with no storage */
#define MULTI        2     /* Repeated exposures with storage */

/* User interface polling */

#define	POLLMS      1000   /* Poll period, ms */

/* Startup parameters */

#define	IMGMAXEXP   3600.  /* Maximum image ccd exposure */
#define	IMGMINEXP   0.001  /* Minimum image ccd exposure */
#define	IMGDEFEXP   1.0    /* Default image exposure (seconds) */
#define	TRKMAXEXP   100.   /* Maximum track ccd exposure */
#define	TRKMINEXP   0.001  /* Minimum track ccd exposure */
#define	TRKDEFEXP   0.4    /* Default track exposure */

#define RELAYONTIME 1.0    /* Guide relay time in seconds */

/* File transfer */

#define NOCOPY   0
#define NETCOPY  1
#define INDICOPY 2

/* Constants */

#define PI  3.14159265359


